| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
spi_mater_SlaveCmd Struct Reference

This structure defines the spi slave command format. More...

`#include <isf_spi_master_types.h>`

Collaboration diagram for spi_mater_SlaveCmd:

## Data Fields
uint32 | size
uint8 * | pReadBuffer
uint8 * | pWriteBuffer

## Detailed Description

This structure defines the spi slave command format.

Definition at line 36 of file isf_spi_master_types.h.

## Field Documentation

uint8* pReadBuffer

The handle the readbuffer.

Definition at line 40 of file isf_spi_master_types.h.

Referenced by fsl_95000_spi_slave_read_postprocess(), fsl_95000_spi_slave_read_preprocess(), fsl_95000_spi_slave_write_preprocess(), fsl_955x_spi_slave_read_postprocess(), fsl_955x_spi_slave_read_preprocess(), fsl_955x_spi_slave_write_preprocess(), fsl_gauss_spi_slave_read_postprocess(), fsl_gauss_spi_slave_read_preprocess(), fsl_gauss_spi_slave_write_preprocess(), fsl_leon_spi_slave_read_postprocess(), fsl_leon_spi_slave_read_preprocess(), fsl_leon_spi_slave_write_preprocess(), fsl_veryon_spi_slave_read_postprocess(), fsl_veryon_spi_slave_read_preprocess(), fsl_veryon_spi_slave_write_preprocess(), rli_spi_slave_read_postprocess(), rli_spi_slave_read_preprocess(), and rli_spi_slave_write_preprocess().

uint8* pWriteBuffer

The handle the writecommand.

Definition at line 41 of file isf_spi_master_types.h.

Referenced by fsl_95000_spi_slave_read_preprocess(), fsl_95000_spi_slave_write_preprocess(), fsl_955x_spi_slave_read_preprocess(), fsl_955x_spi_slave_write_preprocess(), fsl_gauss_spi_slave_read_preprocess(), fsl_gauss_spi_slave_write_preprocess(), fsl_leon_spi_slave_read_preprocess(), fsl_leon_spi_slave_write_preprocess(), fsl_veryon_spi_slave_read_preprocess(), fsl_veryon_spi_slave_write_preprocess(), rli_spi_slave_read_preprocess(), and rli_spi_slave_write_preprocess().

uint32 size

The tranfer size.

Definition at line 39 of file isf_spi_master_types.h.

Referenced by fsl_95000_spi_slave_read_postprocess(), fsl_95000_spi_slave_read_preprocess(), fsl_95000_spi_slave_write_preprocess(), fsl_955x_spi_slave_read_postprocess(), fsl_955x_spi_slave_read_preprocess(), fsl_955x_spi_slave_write_preprocess(), fsl_gauss_spi_slave_read_postprocess(), fsl_gauss_spi_slave_read_preprocess(), fsl_gauss_spi_slave_write_preprocess(), fsl_leon_spi_slave_read_postprocess(), fsl_leon_spi_slave_read_preprocess(), fsl_leon_spi_slave_write_preprocess(), fsl_veryon_spi_slave_read_postprocess(), fsl_veryon_spi_slave_read_preprocess(), fsl_veryon_spi_slave_write_preprocess(), rli_spi_slave_read_postprocess(), rli_spi_slave_read_preprocess(), and rli_spi_slave_write_preprocess().

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/isf_spi_master_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.